import React from 'react';
import { Route, Redirect } from 'react-router';
import * as routes from '../../../constants/routes';
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';

const PrivateRouter = ({ component: Component, user, ...rest }) => {

    return (
        <Route
            {...rest}
            render={props => (
                user
                    ? <Component {...props} />
                    : <Redirect to={routes.SIGN_IN} />
            )}
        />
    )
}

const
    mapStateToProps = state => ({
        user: state.user
    })

export default connect(mapStateToProps)(PrivateRouter)